#!/bin/sh

#Remove the service
systemctl disable GPIO-start.service

#Delete the kernel module from the drivers directory.
rm /lib/modules/$(uname -r)/kernel/drivers/GPIO_DRV.ko
rmmod GPIO_DRV

#Remove the simple name of driver module from the file /etc/modules.
sed -i '/GPIO_DRV/d' /etc/modules

#Update the list of module dependencies.
depmod

#Remove driver related module from the file system.
rm /usr/bin/GPIO-start
rm /etc/systemd/system/GPIO-start.service
rm /etc/modules-load.d/GPIO_DRV.conf

echo GPIO_DRV Driver un-install completed
