#ifndef _IOCTL_GPIODRV_H
#define _IOCTL_GPIODRV_H

#include <linux/ioctl.h>

struct gpiodrv_arg {
	unsigned char gpio;  // GPI or GPO value: 0~3
	bool value;          // Hi:true or Low:false
};

#define GPIO_MAGIC '\x66'

#define IOCTL_GPIOGETVAL _IOR(GPIO_MAGIC, 0, struct gpiodrv_arg) // Set GPO value
#define IOCTL_GPIOSETVAL _IOW(GPIO_MAGIC, 1, struct gpiodrv_arg) // Get GPI value

#endif
