#!/bin/sh

#Copy the kernel module to the drivers directory.
cp GPIO_DRV.ko /lib/modules/$(uname -r)/kernel/drivers/

#Add the simple name of driver module to the file /etc/modules.
echo 'GPIO_DRV' | tee -a /etc/modules

#Update the list of module dependencies.
depmod

#Change file permission
modprobe GPIO_DRV
cp ./GPIO-start /usr/bin/
cp ./GPIO-start.service /etc/systemd/system/
chmod 755 /usr/bin/GPIO-start
chmod 644 /etc/systemd/system/GPIO-start.service
systemctl start GPIO-start.service
systemctl enable GPIO-start.service
echo "GPIO_DRV" | tee -a /etc/modules-load.d/GPIO_DRV.conf

echo GPIO_DRV Driver Install completed
